diff --git a/kmail/mailinglist-magic.cpp b/kmail/mailinglist-magic.cpp
index 3c9efd147..0b646e94a 100644
--- a/kmail/mailinglist-magic.cpp
+++ b/kmail/mailinglist-magic.cpp
@@ -31,10 +31,10 @@ static TQString check_sender(const KMMessage  *message,
   {
     header_name = "Sender";
     header_value = header;
-    header = header.mid( 6, header.tqfind( '@' ) - 6 );
+    header = header.mid( 6, header.find( '@' ) - 6 );
 
   } else {
-    int index = header.tqfind( "-owner@ " );
+    int index = header.find( "-owner@ " );
     if ( index == -1 )
       return TQString();
 
@@ -52,12 +52,12 @@ static TQString check_x_beenthere(const KMMessage  *message,
                                  TQString &header_value )
 {
   TQString header = message->headerField( "X-BeenThere" );
-  if ( header.isNull() || header.tqfind( '@' ) == -1 )
+  if ( header.isNull() || header.find( '@' ) == -1 )
     return TQString();
 
   header_name = "X-BeenThere";
   header_value = header;
-  header.truncate( header.tqfind( '@' ) );
+  header.truncate( header.find( '@' ) );
   return header;
 }
 
@@ -68,13 +68,13 @@ static TQString check_delivered_to(const KMMessage  *message,
 {
   TQString header = message->headerField( "Delivered-To" );
   if ( header.isNull() || header.left(13 ) != "mailing list"
-       || header.tqfind( '@' ) == -1 )
+       || header.find( '@' ) == -1 )
     return TQString();
 
   header_name = "Delivered-To";
   header_value = header;
 
-  return header.mid( 13, header.tqfind( '@' ) - 13 );
+  return header.mid( 13, header.find( '@' ) - 13 );
 }
 
 /* X-Mailing-List: <?([^@]+) */
@@ -86,15 +86,15 @@ static TQString check_x_mailing_list(const KMMessage  *message,
   if ( header.isEmpty() )
     return TQString();
 
-  if ( header.tqfind( '@' ) < 1 )
+  if ( header.find( '@' ) < 1 )
     return TQString();
 
   header_name = "X-Mailing-List";
   header_value = header;
   if ( header[0] == '<' )
-    header = header.mid(1,  header.tqfind( '@' ) - 1);
+    header = header.mid(1,  header.find( '@' ) - 1);
   else
-    header.truncate( header.tqfind( '@' ) );
+    header.truncate( header.find( '@' ) );
   return header;
 }
 
@@ -108,11 +108,11 @@ static TQString check_list_id(const KMMessage  *message,
   if ( header.isEmpty() )
     return TQString();
 
-  lAnglePos = header.tqfind( '<' );
+  lAnglePos = header.find( '<' );
   if ( lAnglePos < 0 )
     return TQString();
 
-  firstDotPos = header.tqfind( '.', lAnglePos );
+  firstDotPos = header.find( '.', lAnglePos );
   if ( firstDotPos < 0 )
     return TQString();
 
@@ -132,14 +132,14 @@ static TQString check_list_post(const KMMessage  *message,
   if ( header.isEmpty() )
     return TQString();
 
-  int lAnglePos = header.tqfind( "<mailto:" );
+  int lAnglePos = header.find( "<mailto:" );
   if ( lAnglePos < 0 )
     return TQString();
 
   header_name = "List-Post";
   header_value = header;
   header = header.mid( lAnglePos + 8, header.length());
-  header.truncate( header.tqfind('@') );
+  header.truncate( header.find('@') );
   return header;
 }
 
@@ -152,12 +152,12 @@ static TQString check_mailing_list(const KMMessage  *message,
   if ( header.isEmpty() )
     return TQString();
 
-  if (header.left( 5 ) != "list " || header.tqfind( '@' ) < 5 )
+  if (header.left( 5 ) != "list " || header.find( '@' ) < 5 )
     return TQString();
 
   header_name = "Mailing-List";
   header_value = header;
-  header = header.mid(5,  header.tqfind( '@' ) - 5);
+  header = header.mid(5,  header.find( '@' ) - 5);
   return header;
 }
 
@@ -170,12 +170,12 @@ static TQString check_x_loop(const KMMessage  *message,
   if ( header.isEmpty() )
     return TQString();
 
-  if (header.tqfind( '@' ) < 2 )
+  if (header.find( '@' ) < 2 )
     return TQString();
 
   header_name = "X-Loop";
   header_value = header;
-  header.truncate(header.tqfind( '@' ));
+  header.truncate(header.find( '@' ));
   return header;
 }
 
@@ -189,7 +189,7 @@ static TQString check_x_ml_name(const KMMessage  *message,
 
   header_name = "X-ML-Name";
   header_value = header;
-  header.truncate(header.tqfind( '@' ));
+  header.truncate(header.find( '@' ));
   return header;
 }
 
@@ -218,8 +218,8 @@ headerToAddress( const TQString& header )
   if ( header.isEmpty() )
     return addr;
 
-  while ( (start = header.tqfind( "<", start )) != -1 ) {
-    if ( (end = header.tqfind( ">", ++start ) ) == -1 ) {
+  while ( (start = header.find( "<", start )) != -1 ) {
+    if ( (end = header.find( ">", ++start ) ) == -1 ) {
       kdDebug(5006)<<k_funcinfo<<"Serious mailing list header parsing error !"<<endl;
       return addr;
     }
diff --git a/kmail/mailinglistpropertiesdialog.cpp b/kmail/mailinglistpropertiesdialog.cpp
index 2fb6203db..7caa9817a 100644
--- a/kmail/mailinglistpropertiesdialog.cpp
+++ b/kmail/mailinglistpropertiesdialog.cpp
@@ -257,7 +257,7 @@ void MailingListFolderPropertiesDialog::fillMLFromWidgets()
   for ( TQStringList::ConstIterator it = oldList.begin();
         it != oldList.end(); ++it ) {
     if ( !(*it).startsWith("http:") && !(*it).startsWith("https:") &&
-         !(*it).startsWith("mailto:") && ( (*it).tqfind('@') != -1 ) ) {
+         !(*it).startsWith("mailto:") && ( (*it).find('@') != -1 ) ) {
       changed = true;
       newList << "mailto:" + *it;
     }
diff --git a/kmail/mboxjob.cpp b/kmail/mboxjob.cpp
index 93f94d43f..0d46fe8b3 100644
--- a/kmail/mboxjob.cpp
+++ b/kmail/mboxjob.cpp
@@ -89,7 +89,7 @@ MboxJob::startJob()
       kdDebug(5006)<<msg<<endl;
       kdDebug(5006)<<this<<endl;
       kdDebug(5006)<<"Done"<<endl;
-      //KMMessage* msg = mParent->getMsg( mParent->tqfind( mMsgList.first() ) );
+      //KMMessage* msg = mParent->getMsg( mParent->find( mMsgList.first() ) );
       msg->setComplete( true );
       emit messageRetrieved( msg );
     }
diff --git a/kmail/messagecomposer.cpp b/kmail/messagecomposer.cpp
index cf3357fa3..c69aa525b 100644
--- a/kmail/messagecomposer.cpp
+++ b/kmail/messagecomposer.cpp
@@ -1527,7 +1527,7 @@ void MessageComposer::composeMessage( KMMessage& theMessage,
     innerDwPart->Assemble();
     TQByteArray tmpbody = KMail::Util::ByteArray( innerDwPart->AsString() );
     if ( mIsRichText ) { // and add our mp/a boundary
-        int boundPos = tmpbody.tqfind( '\n' );
+        int boundPos = tmpbody.find( '\n' );
         if( -1 < boundPos ) {
           TQCString bStr( ";\n  boundary=\"" );
           bStr += mSaveBoundary.c_str();
@@ -1590,7 +1590,7 @@ void MessageComposer::composeMessage( KMMessage& theMessage,
 
     // manually add a boundary definition to the Content-Type header
     if( !mMultipartMixedBoundary.isEmpty() ) {
-      int boundPos = mEncodedBody.tqfind( '\n' );
+      int boundPos = mEncodedBody.find( '\n' );
       if( -1 < boundPos ) {
         // insert new "boundary" parameter
         TQCString bStr( ";\n  boundary=\"" );
@@ -1928,7 +1928,7 @@ bool MessageComposer::processStructuringInfo( const TQString bugURL,
     const TQCString boundaryCStr = KMime::multiPartBoundary();
     // add "boundary" parameter
     if ( makeMultiMime( format, signing ) )
-      mainHeader.tqreplace( "%boundary", boundaryCStr );
+      mainHeader.replace( "%boundary", boundaryCStr );
 
     if ( toplevelCT ) {
       if ( const char * str = toplevelContentDisposition( format, signing ) ) {
diff --git a/kmail/messagecopyhelper.cpp b/kmail/messagecopyhelper.cpp
index 84618ea87..916920168 100644
--- a/kmail/messagecopyhelper.cpp
+++ b/kmail/messagecopyhelper.cpp
@@ -43,7 +43,7 @@ MessageCopyHelper::MessageCopyHelper( const TQValueList< TQ_UINT32 > & msgs,
       continue;
     if ( f == dest )
       continue; // already there
-    if ( !mOpenFolders.tqcontains( f ) ) {// not yet opened
+    if ( !mOpenFolders.contains( f ) ) {// not yet opened
       f->open( "messagecopyhelper" );
       mOpenFolders.insert( f, 0 );
     }
diff --git a/kmail/messageproperty.cpp b/kmail/messageproperty.cpp
index 91261540f..b8b37f915 100644
--- a/kmail/messageproperty.cpp
+++ b/kmail/messageproperty.cpp
@@ -42,14 +42,14 @@ TQMap<const KMMsgBase*, long > MessageProperty::sSerialCache;
 
 bool MessageProperty::filtering( TQ_UINT32 serNum )
 {
-  return sFolders.tqcontains( serNum );
+  return sFolders.contains( serNum );
 }
 
 void MessageProperty::setFiltering( TQ_UINT32 serNum, bool filter )
 {
   assert(!filtering(serNum) || !filter);
   if (filter && !filtering(serNum))
-    sFolders.tqreplace(serNum, TQGuardedPtr<KMFolder>(0) );
+    sFolders.replace(serNum, TQGuardedPtr<KMFolder>(0) );
   else if (!filter)
     sFolders.remove(serNum);
 }
@@ -66,7 +66,7 @@ void MessageProperty::setFiltering( const KMMsgBase *msgBase, bool filter )
 
 KMFolder* MessageProperty::filterFolder( TQ_UINT32 serNum )
 {
-  TQMap<TQ_UINT32, TQGuardedPtr<KMFolder> >::const_iterator it = sFolders.tqfind( serNum );
+  TQMap<TQ_UINT32, TQGuardedPtr<KMFolder> >::const_iterator it = sFolders.find( serNum );
   return it == sFolders.constEnd() ? 0 : (*it).operator->();
 }
 
@@ -87,7 +87,7 @@ void MessageProperty::setFilterFolder( const KMMsgBase *msgBase, KMFolder* folde
 
 ActionScheduler* MessageProperty::filterHandler( TQ_UINT32 serNum )
 {
-  TQMap<TQ_UINT32, TQGuardedPtr<ActionScheduler> >::const_iterator it = sHandlers.tqfind( serNum );
+  TQMap<TQ_UINT32, TQGuardedPtr<ActionScheduler> >::const_iterator it = sHandlers.find( serNum );
   return it == sHandlers.constEnd() ? 0 : (*it).operator->();
 }
 
@@ -111,14 +111,14 @@ void MessageProperty::setFilterHandler( const KMMsgBase *msgBase, ActionSchedule
 
 bool MessageProperty::transferInProgress( TQ_UINT32 serNum )
 {
-  TQMap<TQ_UINT32, int >::const_iterator it = sTransfers.tqfind( serNum );
+  TQMap<TQ_UINT32, int >::const_iterator it = sTransfers.find( serNum );
   return it == sTransfers.constEnd() ? false : *it;
 }
 
 void MessageProperty::setTransferInProgress( TQ_UINT32 serNum, bool transfer, bool force )
 {
   int transferInProgress = 0;
-  TQMap<TQ_UINT32, int >::const_iterator it = sTransfers.tqfind( serNum );
+  TQMap<TQ_UINT32, int >::const_iterator it = sTransfers.find( serNum );
   if (it != sTransfers.constEnd())
     transferInProgress = *it;
   if ( force && !transfer )
@@ -145,7 +145,7 @@ void MessageProperty::setTransferInProgress( const KMMsgBase *msgBase, bool tran
 
 TQ_UINT32 MessageProperty::serialCache( const KMMsgBase *msgBase )
 {
-  TQMap<const KMMsgBase*, long >::const_iterator it = sSerialCache.tqfind( msgBase );
+  TQMap<const KMMsgBase*, long >::const_iterator it = sSerialCache.find( msgBase );
   return it == sSerialCache.constEnd() ? 0 : *it;
 }
 
diff --git a/kmail/mh2kmailr b/kmail/mh2kmailr
index df76fec1e..d88905aae 100755
--- a/kmail/mh2kmailr
+++ b/kmail/mh2kmailr
@@ -14,13 +14,13 @@ fi
 
 MH_DIR=$1
 
-for d in `/usr/bin/tqfind $MH_DIR -type d -print|sed -e :a -e 's/^.\{1,5\}$/ &/;ta'|sort`; do
+for d in `/usr/bin/find $MH_DIR -type d -print|sed -e :a -e 's/^.\{1,5\}$/ &/;ta'|sort`; do
 FOLDER=${d}.mbx
 
 # remove old kmail folder if any
 rm -f $FOLDER
 
-for f in `/usr/bin/tqfind $d -type f -maxdepth 1 -print|sed -e :a -e 's/^.\{1,5\}$/ &/;ta'|sort`; do
+for f in `/usr/bin/find $d -type f -maxdepth 1 -print|sed -e :a -e 's/^.\{1,5\}$/ &/;ta'|sort`; do
   echo "From ???@??? 00:00:00 1997 +0000" >> $FOLDER
   cat $f >> $FOLDER
 done
diff --git a/kmail/networkaccount.cpp b/kmail/networkaccount.cpp
index b400b52a6..fa719c534 100644
--- a/kmail/networkaccount.cpp
+++ b/kmail/networkaccount.cpp
@@ -321,7 +321,7 @@ namespace KMail {
       if ( host().isEmpty() )
           return;
     if ( checking ) {
-        if ( s_serverConnections.tqfind( host() ) != s_serverConnections.end() )
+        if ( s_serverConnections.find( host() ) != s_serverConnections.end() )
             s_serverConnections[host()] += 1;
         else
             s_serverConnections[host()] = 1;
@@ -329,7 +329,7 @@ namespace KMail {
                 << host() << " now is "
                 << s_serverConnections[host()] << endl;
     } else {
-            if ( s_serverConnections.tqfind( host() ) != s_serverConnections.end() &&
+            if ( s_serverConnections.find( host() ) != s_serverConnections.end() &&
                 s_serverConnections[host()] > 0 ) {
                 s_serverConnections[host()] -= 1;
                 kdDebug(5006) << "connections to server " << host()
@@ -344,12 +344,12 @@ namespace KMail {
 
       kdDebug(5006) << "for host " << host()
               << " current connections="
-              << (s_serverConnections.tqfind(host())==s_serverConnections.end() ? 0 : s_serverConnections[host()])
+              << (s_serverConnections.find(host())==s_serverConnections.end() ? 0 : s_serverConnections[host()])
               << " and limit is " << GlobalSettings::self()->maxConnectionsPerHost()
               << endl;
       bool connectionLimitForHostReached = !host().isEmpty()
               && GlobalSettings::self()->maxConnectionsPerHost() > 0
-              && s_serverConnections.tqfind( host() ) != s_serverConnections.end()
+              && s_serverConnections.find( host() ) != s_serverConnections.end()
               && s_serverConnections[host()] >= GlobalSettings::self()->maxConnectionsPerHost();
       kdDebug(5006) << "connection limit reached: "
               << connectionLimitForHostReached << endl;
diff --git a/kmail/newfolderdialog.cpp b/kmail/newfolderdialog.cpp
index d1e7de22f..11a52043b 100644
--- a/kmail/newfolderdialog.cpp
+++ b/kmail/newfolderdialog.cpp
@@ -121,7 +121,7 @@ NewFolderDialog::NewFolderDialog( TQWidget* tqparent, KMFolder *folder )
     mContentsHBox = new TQHBoxLayout( 0, 0, 6, "mContentsHBox");
 
     mContentsLabel = new TQLabel( privateLayoutWidget, "mContentsLabel" );
-    mContentsLabel->setText( i18n( "Folder &tqcontains:" ) );
+    mContentsLabel->setText( i18n( "Folder &contains:" ) );
     mContentsHBox->addWidget( mContentsLabel );
 
     mContentsComboBox = new TQComboBox( false, privateLayoutWidget, "mContentsComboBox" );
diff --git a/kmail/objecttreeparser.cpp b/kmail/objecttreeparser.cpp
index 0b79d98c0..db27f7f59 100644
--- a/kmail/objecttreeparser.cpp
+++ b/kmail/objecttreeparser.cpp
@@ -804,9 +804,9 @@ bool ObjectTreeParser::okDecryptMIME( partNode& data,
     TQByteArray ciphertext( data.msgPart().bodyDecodedBinary() );
 #ifdef MARCS_DEBUG
     TQCString cipherStr( ciphertext.data(), ciphertext.size() + 1 );
-    bool cipherIsBinary = (-1 == cipherStr.tqfind("BEGIN ENCRYPTED MESSAGE", 0, false) ) &&
-                          (-1 == cipherStr.tqfind("BEGIN PGP ENCRYPTED MESSAGE", 0, false) ) &&
-                          (-1 == cipherStr.tqfind("BEGIN PGP MESSAGE", 0, false) );
+    bool cipherIsBinary = (-1 == cipherStr.find("BEGIN ENCRYPTED MESSAGE", 0, false) ) &&
+                          (-1 == cipherStr.find("BEGIN PGP ENCRYPTED MESSAGE", 0, false) ) &&
+                          (-1 == cipherStr.find("BEGIN PGP MESSAGE", 0, false) );
 
     dumpToFile( "dat_04_reader.encrypted", ciphertext.data(), ciphertext.size() );
 
@@ -916,9 +916,9 @@ bool ObjectTreeParser::okDecryptMIME( partNode& data,
     // ### while pinentry-qt appears)
     TQByteArray ciphertext( data.msgPart().bodyDecodedBinary() );
     TQCString cipherStr( ciphertext.data(), ciphertext.size() + 1 );
-    bool cipherIsBinary = (-1 == cipherStr.tqfind("BEGIN ENCRYPTED MESSAGE", 0, false) ) &&
-                          (-1 == cipherStr.tqfind("BEGIN PGP ENCRYPTED MESSAGE", 0, false) ) &&
-                          (-1 == cipherStr.tqfind("BEGIN PGP MESSAGE", 0, false) );
+    bool cipherIsBinary = (-1 == cipherStr.find("BEGIN ENCRYPTED MESSAGE", 0, false) ) &&
+                          (-1 == cipherStr.find("BEGIN PGP ENCRYPTED MESSAGE", 0, false) ) &&
+                          (-1 == cipherStr.find("BEGIN PGP MESSAGE", 0, false) );
     if ( !cipherIsBinary ) {
       decryptedData = cipherStr;
     }
@@ -939,12 +939,12 @@ bool ObjectTreeParser::okDecryptMIME( partNode& data,
   bool ObjectTreeParser::containsExternalReferences( const TQCString & str )
   {
     TQRegExp httpRegExp("(\\\"|\\\'|url\\s*\\(\\s*)http[s]?:");
-    int httpPos = str.tqfind( httpRegExp, 0 );
+    int httpPos = str.find( httpRegExp, 0 );
 
     while ( httpPos >= 0 ) {
       // look backwards for "href"
       if ( httpPos > 5 ) {
-        int hrefPos = str.tqfindRev( "href", httpPos - 5, true );
+        int hrefPos = str.findRev( "href", httpPos - 5, true );
         // if no 'href' is found or the distance between 'href' and '"http[s]:'
         // is larger than 7 (7 is the distance in 'href = "http[s]:') then
         // we assume that we have found an external reference
@@ -952,7 +952,7 @@ bool ObjectTreeParser::okDecryptMIME( partNode& data,
           return true;
       }
       // find next occurrence of "http: or "https:
-      httpPos = str.tqfind( httpRegExp, httpPos + 6 );
+      httpPos = str.find( httpRegExp, httpPos + 6 );
     }
     return false;
   }
@@ -979,12 +979,12 @@ bool ObjectTreeParser::okDecryptMIME( partNode& data,
         // We must fo this, or else we will see only 1st inlined html
         // attachment.  It is IMHO enough to search only for </BODY> and
         // put \0 there.
-        int i = cstr.tqfindRev("</body>", -1, false); //case insensitive
+        int i = cstr.findRev("</body>", -1, false); //case insensitive
         if ( 0 <= i )
           cstr.truncate(i);
         else // just in case - search for </html>
         {
-          i = cstr.tqfindRev("</html>", -1, false); //case insensitive
+          i = cstr.findRev("</html>", -1, false); //case insensitive
           if ( 0 <= i ) cstr.truncate(i);
         }
         // ---Sven's strip </BODY> and </HTML> from end of attachment end-
@@ -1031,7 +1031,7 @@ static bool isMailmanMessage( partNode * curNode ) {
     return true;
   if ( headers.HasField("X-Mailer") &&
        0 == TQCString( headers.FieldBody("X-Mailer").AsString().c_str() )
-       .tqfind("MAILMAN", 0, false) )
+       .find("MAILMAN", 0, false) )
     return true;
   return false;
 }
@@ -1047,21 +1047,21 @@ namespace KMail {
     const TQCString delimZ2("--__--__--\n\n_____________");
     const TQCString delimZ1("--__--__--\r\n\r\n_____________");
     TQCString partStr, digestHeaderStr;
-    int thisDelim = cstr.tqfind(delim1.data(), 0, false);
+    int thisDelim = cstr.find(delim1.data(), 0, false);
     if ( thisDelim == -1 )
-      thisDelim = cstr.tqfind(delim2.data(), 0, false);
+      thisDelim = cstr.find(delim2.data(), 0, false);
     if ( thisDelim == -1 ) {
       kdDebug(5006) << "        Sorry: Old style Mailman message but no delimiter found." << endl;
       return false;
     }
 
-    int nextDelim = cstr.tqfind(delim1.data(), thisDelim+1, false);
+    int nextDelim = cstr.find(delim1.data(), thisDelim+1, false);
     if ( -1 == nextDelim )
-      nextDelim = cstr.tqfind(delim2.data(), thisDelim+1, false);
+      nextDelim = cstr.find(delim2.data(), thisDelim+1, false);
     if ( -1 == nextDelim )
-      nextDelim = cstr.tqfind(delimZ1.data(), thisDelim+1, false);
+      nextDelim = cstr.find(delimZ1.data(), thisDelim+1, false);
     if ( -1 == nextDelim )
-      nextDelim = cstr.tqfind(delimZ2.data(), thisDelim+1, false);
+      nextDelim = cstr.find(delimZ2.data(), thisDelim+1, false);
     if ( nextDelim < 0)
       return false;
 
@@ -1081,15 +1081,15 @@ namespace KMail {
     curNode->setType(    DwMime::kTypeMultipart );
     curNode->setSubType( DwMime::kSubtypeDigest );
     while( -1 < nextDelim ){
-      int thisEoL = cstr.tqfind("\nMessage:", thisDelim, false);
+      int thisEoL = cstr.find("\nMessage:", thisDelim, false);
       if ( -1 < thisEoL )
         thisDelim = thisEoL+1;
       else{
-        thisEoL = cstr.tqfind("\n_____________", thisDelim, false);
+        thisEoL = cstr.find("\n_____________", thisDelim, false);
         if ( -1 < thisEoL )
           thisDelim = thisEoL+1;
       }
-      thisEoL = cstr.tqfind('\n', thisDelim);
+      thisEoL = cstr.find('\n', thisDelim);
       if ( -1 < thisEoL )
         thisDelim = thisEoL+1;
       else
@@ -1101,10 +1101,10 @@ namespace KMail {
       partStr += cstr.mid( thisDelim, nextDelim-thisDelim );
       TQCString subject("embedded message");
       TQCString subSearch("\nSubject:");
-      int subPos = partStr.tqfind(subSearch.data(), 0, false);
+      int subPos = partStr.find(subSearch.data(), 0, false);
       if ( -1 < subPos ){
         subject = partStr.mid(subPos+subSearch.length());
-        thisEoL = subject.tqfind('\n');
+        thisEoL = subject.find('\n');
         if ( -1 < thisEoL )
           subject.truncate( thisEoL );
       }
@@ -1114,21 +1114,21 @@ namespace KMail {
                                   subject, true );
       //mReader->queueHtml("<br><hr><br>");
       thisDelim = nextDelim+1;
-      nextDelim = cstr.tqfind(delim1.data(), thisDelim, false);
+      nextDelim = cstr.find(delim1.data(), thisDelim, false);
       if ( -1 == nextDelim )
-        nextDelim = cstr.tqfind(delim2.data(), thisDelim, false);
+        nextDelim = cstr.find(delim2.data(), thisDelim, false);
       if ( -1 == nextDelim )
-        nextDelim = cstr.tqfind(delimZ1.data(), thisDelim, false);
+        nextDelim = cstr.find(delimZ1.data(), thisDelim, false);
       if ( -1 == nextDelim )
-        nextDelim = cstr.tqfind(delimZ2.data(), thisDelim, false);
+        nextDelim = cstr.find(delimZ2.data(), thisDelim, false);
     }
     // reset curent node's Content-Type
     curNode->setType(    DwMime::kTypeText );
     curNode->setSubType( DwMime::kSubtypePlain );
-    int thisEoL = cstr.tqfind("_____________", thisDelim);
+    int thisEoL = cstr.find("_____________", thisDelim);
     if ( -1 < thisEoL ){
       thisDelim = thisEoL;
-      thisEoL = cstr.tqfind('\n', thisDelim);
+      thisEoL = cstr.find('\n', thisDelim);
       if ( -1 < thisEoL )
         thisDelim = thisEoL+1;
     }
@@ -1720,7 +1720,7 @@ namespace KMail {
     bool isSigned      = smimeType == "signed-data";
     bool isEncrypted   = smimeType == "enveloped-data";
 
-    // Analyze "signTestNode" node to tqfind/verify a signature.
+    // Analyze "signTestNode" node to find/verify a signature.
     // If zero this verification was successfully done after
     // decrypting via recursion by insertAndParseNewChildNode().
     partNode* signTestNode = isEncrypted ? 0 : node;
@@ -2252,7 +2252,7 @@ TQString ObjectTreeParser::sigStatusToString( const Kleo::CryptoBackend::Protoco
         }
         /*
         // add i18n support for 3rd party plug-ins here:
-        else if (0 <= cryptPlug->libName().tqfind( "yetanotherpluginname", 0, false )) {
+        else if (0 <= cryptPlug->libName().find( "yetanotherpluginname", 0, false )) {
 
         }
         */
@@ -2982,7 +2982,7 @@ TQString ObjectTreeParser::quotedHTML( const TQString& s, bool decorate )
     TQString line;
 
     /* search next occurrence of '\n' */
-    pos = s.tqfind('\n', beg, FALSE);
+    pos = s.find('\n', beg, FALSE);
     if (pos == (unsigned int)(-1))
         pos = length;
 
@@ -3083,7 +3083,7 @@ TQString ObjectTreeParser::quotedHTML( const TQString& s, bool decorate )
     {
       // don't write empty <div ...></div> blocks (they have zero height)
       // ignore ^M DOS linebreaks
-      if( !line.tqreplace('\015', "").isEmpty() )
+      if( !line.replace('\015', "").isEmpty() )
       {
          htmlStr +=TQString( "<div dir=\"%1\">" ).tqarg( line.isRightToLeft() ? "rtl":"ltr" );
          htmlStr += LinkLocator::convertToHtml( line, convertFlags );
diff --git a/kmail/objecttreeparser.h b/kmail/objecttreeparser.h
index 2325b2423..b864ea618 100644
--- a/kmail/objecttreeparser.h
+++ b/kmail/objecttreeparser.h
@@ -253,7 +253,7 @@ namespace KMail {
     bool processToltecMail( partNode * node );
 
     /** Checks whether @p str contains external references. To be precise,
-        we only check whether @p str tqcontains 'xxx="http[s]:' where xxx is
+        we only check whether @p str contains 'xxx="http[s]:' where xxx is
         not href. Obfuscated external references are ignored on purpose.
     */
     static bool containsExternalReferences( const TQCString & str );
diff --git a/kmail/partNode.cpp b/kmail/partNode.cpp
index 352698252..e4cb59221 100644
--- a/kmail/partNode.cpp
+++ b/kmail/partNode.cpp
@@ -516,7 +516,7 @@ void partNode::fillMimePartTree( KMMimePartTreeItem* parentItem,
         cntSize = size;
     }
     // remove linebreak+whitespace from folded Content-Description
-    cntDesc.tqreplace( TQRegExp("\\n\\s*"), " " );
+    cntDesc.replace( TQRegExp("\\n\\s*"), " " );
 
     if( parentItem )
       mMimePartTreeItem = new KMMimePartTreeItem( parentItem,
diff --git a/kmail/popaccount.cpp b/kmail/popaccount.cpp
index 932b503e2..a37bc6d58 100644
--- a/kmail/popaccount.cpp
+++ b/kmail/popaccount.cpp
@@ -514,13 +514,13 @@ void PopAccount::slotJobFinished() {
                                                      mUidForIdMap[hids.key()],
                                                      Later));//TODO
             //set Action if already known
-            if( mHeaderDeleteUids.tqcontains( headersOnServer.current()->uid() ) ) {
+            if( mHeaderDeleteUids.contains( headersOnServer.current()->uid() ) ) {
               headersOnServer.current()->setAction(Delete);
             }
-            else if( mHeaderDownUids.tqcontains( headersOnServer.current()->uid() ) ) {
+            else if( mHeaderDownUids.contains( headersOnServer.current()->uid() ) ) {
               headersOnServer.current()->setAction(Down);
             }
-            else if( mHeaderLaterUids.tqcontains( headersOnServer.current()->uid() ) ) {
+            else if( mHeaderLaterUids.contains( headersOnServer.current()->uid() ) ) {
               headersOnServer.current()->setAction(Later);
             }
           }
@@ -625,7 +625,7 @@ void PopAccount::slotJobFinished() {
           headersOnServer.current()->action() == Later) {
         //remove entries from the lists when the mails should not be downloaded
         //(deleted or downloaded later)
-        if ( mMsgsPendingDownload.tqcontains( headersOnServer.current()->id() ) ) {
+        if ( mMsgsPendingDownload.contains( headersOnServer.current()->id() ) ) {
           mMsgsPendingDownload.remove( headersOnServer.current()->id() );
         }
         if (headersOnServer.current()->action() == Delete) {
@@ -930,11 +930,11 @@ void PopAccount::slotData( KIO::Job* job, const TQByteArray &data)
   // otherwise stage is List Or Uidl
   TQString qdata = data;
   qdata = qdata.simplifyWhiteSpace(); // Workaround for Maillennium POP3/UNIBOX
-  int spc = qdata.tqfind( ' ' );
+  int spc = qdata.find( ' ' );
   if ( stage == List ) {
     if ( spc > 0 ) {
       TQString length = qdata.mid(spc+1);
-      if (length.tqfind(' ') != -1) length.truncate(length.tqfind(' '));
+      if (length.find(' ') != -1) length.truncate(length.find(' '));
       int len = length.toInt();
       numBytes += len;
       TQString id = qdata.left(spc);
@@ -989,8 +989,8 @@ void PopAccount::slotData( KIO::Job* job, const TQByteArray &data)
     int *size = new int; //malloc(size_of(int));
     *size = mMsgsPendingDownload[id];
     mSizeOfNextSeenMsgsDict.insert( uid, size );
-    if ( mUidsOfSeenMsgsDict.tqfind( uid ) != 0 ) {
-      if ( mMsgsPendingDownload.tqcontains( id ) ) {
+    if ( mUidsOfSeenMsgsDict.find( uid ) != 0 ) {
+      if ( mMsgsPendingDownload.contains( id ) ) {
         mMsgsPendingDownload.remove( id );
       }
       else
diff --git a/kmail/recipientseditor.cpp b/kmail/recipientseditor.cpp
index 387331cc6..2bdfe3998 100644
--- a/kmail/recipientseditor.cpp
+++ b/kmail/recipientseditor.cpp
@@ -456,7 +456,7 @@ void RecipientsView::slotReturnPressed( RecipientLine *line )
 
 void RecipientsView::slotDownPressed( RecipientLine *line )
 {
-  int pos = mLines.tqfind( line );
+  int pos = mLines.find( line );
   if ( pos >= (int)mLines.count() - 1 ) {
     emit focusDown();
   } else if ( pos >= 0 ) {
@@ -466,7 +466,7 @@ void RecipientsView::slotDownPressed( RecipientLine *line )
 
 void RecipientsView::slotUpPressed( RecipientLine *line )
 {
-  int pos = mLines.tqfind( line );
+  int pos = mLines.find( line );
   if ( pos > 0 ) {
     activateLine( mLines.at( pos - 1 ) );
   } else {
@@ -492,7 +492,7 @@ void RecipientsView::slotDeleteLine()
     return;
 
   RecipientLine *line = mCurDelLine;
-  int pos = mLines.tqfind( line );
+  int pos = mLines.find( line );
 
   int newPos;
   if ( pos == 0 ) newPos = pos + 1;
diff --git a/kmail/recipientspicker.cpp b/kmail/recipientspicker.cpp
index 0bbacbeae..11b2cec6f 100644
--- a/kmail/recipientspicker.cpp
+++ b/kmail/recipientspicker.cpp
@@ -294,13 +294,13 @@ RecipientItem::List RecipientsCollection::items() const
 
 bool RecipientsCollection::hasEquivalentItem( RecipientItem *item ) const
 {
-  return mKeyMap.tqfind( item->key() ) != mKeyMap.end();
+  return mKeyMap.find( item->key() ) != mKeyMap.end();
 }
 
 RecipientItem * RecipientsCollection::getEquivalentItem( RecipientItem *item) const
 {
   TQMap<TQString, RecipientItem *>::ConstIterator it;
-  it = mKeyMap.tqfind( item->key() );
+  it = mKeyMap.find( item->key() );
   if ( it == mKeyMap.end() )
     return 0;
   return (*it);
@@ -505,7 +505,7 @@ void RecipientsPicker::insertAddressBook( KABC::AddressBook *addressbook )
       item->setAddressee( *it, *it3 );
 
       TQMap<KABC::Resource *,RecipientsCollection *>::ConstIterator collIt;
-      collIt = collectionMap.tqfind( it->resource() );
+      collIt = collectionMap.find( it->resource() );
       if ( collIt != collectionMap.end() ) {
         (*collIt)->addItem( item );
       }
@@ -514,7 +514,7 @@ void RecipientsPicker::insertAddressBook( KABC::AddressBook *addressbook )
       TQStringList::ConstIterator catIt;
       for( catIt = categories.begin(); catIt != categories.end(); ++catIt ) {
         TQMap<TQString, RecipientsCollection *>::ConstIterator catMapIt;
-        catMapIt = categoryMap.tqfind( *catIt );
+        catMapIt = categoryMap.find( *catIt );
         RecipientsCollection *collection;
         if ( catMapIt == categoryMap.end() ) {
           collection = new RecipientsCollection( *catIt );
diff --git a/kmail/renamejob.cpp b/kmail/renamejob.cpp
index d4aa76f59..8f69e6f62 100644
--- a/kmail/renamejob.cpp
+++ b/kmail/renamejob.cpp
@@ -138,7 +138,7 @@ void RenameJob::execute()
     ImapAccountBase* account = static_cast<KMFolderImap*>(mStorage)->account();
     // first rename it on the server
     mNewImapPath = mOldImapPath;
-    mNewImapPath = mNewImapPath.tqreplace( mOldName, mNewName );
+    mNewImapPath = mNewImapPath.replace( mOldName, mNewName );
     KURL src( account->getUrl() );
     src.setPath( mOldImapPath );
     KURL dst( account->getUrl() );
